import React, { useEffect } from "react";
var updateModalForm = function updateModalForm(props) {
  var getFormAndFields = props.getFormAndFields,
    form = props.form;
  var updateFormFields = function updateFormFields() {
    if (getFormAndFields) getFormAndFields(form.current.getFieldsValue() || {}, form.current);
  };
  useEffect(function () {
    updateFormFields();
  }, [form]);
  return /*#__PURE__*/React.createElement(React.Fragment, null);
  /* 如果是ReactNode则直接返回 */
};
export default updateModalForm;